package com.qmth.distributed.print.business.bean.dto.report;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 报告课程目标考核分布-分数dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
public class ReportScoreViewDto implements Serializable {

    @ApiModelProperty(value = "不及格人数")
    private Integer failCount;

    @ApiModelProperty(value = "不及格比率")
    private Double failRate;

    @ApiModelProperty(value = "分数范围")
    private List<ReportScoreRangeViewDto> scoreRange;

    public ReportScoreViewDto() {

    }

    public ReportScoreViewDto(Integer failCount, Double failRate, List<ReportScoreRangeViewDto> scoreRange) {
        this.failCount = failCount;
        this.failRate = failRate;
        this.scoreRange = scoreRange;
    }

    public Integer getFailCount() {
        return failCount;
    }

    public void setFailCount(Integer failCount) {
        this.failCount = failCount;
    }

    public Double getFailRate() {
        return failRate;
    }

    public void setFailRate(Double failRate) {
        this.failRate = failRate;
    }

    public List<ReportScoreRangeViewDto> getScoreRange() {
        return scoreRange;
    }

    public void setScoreRange(List<ReportScoreRangeViewDto> scoreRange) {
        this.scoreRange = scoreRange;
    }
}
